Кабинет


Логин:
Пароль:

Наш опрос

Оцените мой сайт
Всего ответов: 201

Поиск

Календарь

«  Август 2009  »
ПнВтСрЧтПтСбВс
     12
3456789
10111213141516
17181920212223
24252627282930
31

Статистика

OnLine
Онлайн всего: 3
Гостей: 3
Пользователей: 0

Юзеры онлайн:
Нас посетили:
Счетчик посещений
Мир WarCraft
Пятница, 14.12.2018, 01:46
Приветствую Вас Гость
Главная | Регистрация | Вход | RSS
Главная » 2009 » Август » 10 » Warcraft III 1.24 Patch
Warcraft III 1.24 Patch
22:14
Компания Blizzard выпустила очередной патч к Warcraft III - 1.24. Как и в случае с 1.23 изменений в балансе нет, но исправлено несколько серьезных уязвимостей, позволявших злоумышленникам исполнять произвольный код на компьютерах игроков с помощью специальным образом настроенных пользовательских карт. Также, из-за того, что некоторые потенциально опасные функции JASS(встроенный в Warcraft III скриптовый язык программирования) были заменены на безопасные аналоги, большинство популярных пользовательских карт отказываются работать на новом патче, в том числе и последние версии dota allstars. В связи с этим, Icefrog рекомендует дождаться выхода патча 1.24b и новой - 6.62 версии доты, по его словам эта связка должна работать нормально.

Обновлено
Версия 6.61c работает с патчем 1.24.

Комментарий Icefrog'a:
Мне задают очень много вопросов про 1.24 и доту, поэтому я разом решил ответить на них.

Новый патч к warcraft'у был выпущен прежде всего для того, чтобы исправить баг, из-за которого можно было заразить компьютер вирусом, скачав пользовательскую карту. Как результат, некоторые основные функции warcraft'а, которые используются в доте и большинстве других карт, были удалены. Чтобы заменить столь значительную потерю в функциональности, в патче были добавлены функции-заменители.

Путаница возникает из-за того, что некоторые карты, например 6.59d, работают под 1.24. Но это только частично правда. Нет ничего удивительного в том, что 1.24 временно настроен запускать некоторые карты в режиме совместимости с 1.23, пока 1.24 дорабатывается. Но патч не был должным образом настроен для того, чтобы запускать 6.61b в режиме совместимости, поэтому будет выпущена версия 6.61с, в которой не будет никаких изменений, кроме индекса версии.

Из-за изменений в функциях, карты не обладают обратной совместимостью с бета версией 1.24. Очень много кода необходимо переписать, чтобы сделать карты совместимыми с 1.24. Следующая версия доты(6.62) будет переписана для соответствия требованиям 1.24.

Даже сейчас в функциях 1.24 все еще остаются различные баги, препятствующие нормальному запуску карт на нем. Как только эти проблемы будут исправлены в предстоящих патчах 1.24b/1.24c, бета версия 6.62 будет обновлена в соответствии с ними. Как только новый патч обретет стабильность, и 6.62 будет достаточно протестирована, она будет выложена для всеобщего скачивания. Надеюсь я приведу карту в порядок в ближайшем будущем.

Как только ситуация с 6.62/1.24 разрешиться, я вернусь к обычной доработке карты. В следующих версиях упор будет делаться на улучшениях баланса и производительности.

Людям, которые не могут легко менять патч(например, пользователям интернет кафе), я рекомендую дождаться 1.24b/с перед тем как устанавливать патч.

Если что-то непонятно, обращайтесь ко мне в ПМ, я постараюсь ответить.

P.S. Версия 6.61с, совместимая с 1.24, скорее всего, выйдет завтра.

Официальную информацию о 1.24 патче можно найти на сайте технической поддержки Blizzard:
blizzard.com/support
Категория: Новости мира WarCraft | Просмотров: 1505 | Добавил: Virus | Рейтинг: 0.0/0 |
Всего комментариев: 0
Добавлять комментарии могут только зарегистрированные пользователи.
[ Регистрация | Вход ]